> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand Models

> Get all models within a specific brand.



## OpenAPI

````yaml /openapi.json get /api/brands/{brand_uuid}/models
openapi: 3.1.0
info:
  title: Legitmark Partner API
  description: Comprehensive partner integration API for Legitmark authentication platform
  version: 2.0.0
  contact:
    name: Legitmark Support
    email: support@legitmark.com
    url: https://legitmark.com
servers:
  - url: https://api.legitmark.com
    description: Production API
security:
  - BearerAuth: []
tags:
  - name: Service Requests
    description: Create, retrieve, and manage authentication service requests.
  - name: Media Management
    description: Upload images for service request authentication.
  - name: Taxonomy
    description: Browse categories, types, brands, models, and services to build requests.
paths:
  /api/brands/{brand_uuid}/models:
    get:
      tags:
        - Taxonomy
      summary: Get Brand Models
      description: Get all models within a specific brand.
      parameters:
        - name: brand_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: 03e7eb07-5e1e-465d-92a6-228dcaa6b148
      responses:
        '200':
          description: Models retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  rc_hit:
                    type: boolean
                    description: Indicates if the response was served from cache
                    example: true
                  rc_key:
                    type: string
                    description: Cache key used for this response
                    example: models:abc123
                  message:
                    type: string
                    example: All the models were fetched successfully for this brand.
                  models:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          format: uuid
                        name:
                          type: string
                        brand:
                          type: string
                          format: uuid
                          description: Brand UUID
                        created-at:
                          type: string
                          format: date-time
                        updated-at:
                          type: string
                          format: date-time
                required:
                  - success
                  - message
                  - models
              example:
                success: true
                rc_hit: true
                rc_key: models:b1caaf6993d25239c475fa106f03fbee
                message: All the models were fetched successfully for this brand.
                models:
                  - uuid: 8464ae2d-f98a-410b-99c7-7824dff0138e
                    name: Air Jordan 1 Low
                    brand: 03e7eb07-5e1e-465d-92a6-228dcaa6b148
                    created-at: '2023-11-12T03:54:22.000Z'
                    updated-at: '2023-11-12T03:54:22.000Z'
                  - uuid: 697aa1c6-bebe-40c6-8594-5f76ddbeac6d
                    name: Air Jordan 1 Mid
                    brand: 03e7eb07-5e1e-465d-92a6-228dcaa6b148
                    created-at: '2023-11-12T03:54:22.000Z'
                    updated-at: '2023-11-12T03:54:22.000Z'
                  - uuid: 8694d40b-4f00-40ca-ad27-c380b5b3d4f9
                    name: Air Jordan 1 Retro Low OG
                    brand: 03e7eb07-5e1e-465d-92a6-228dcaa6b148
                    created-at: '2023-11-12T03:54:22.000Z'
                    updated-at: '2023-11-12T03:54:22.000Z'
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication. Use your API key in the format: Bearer
        leo_xxxxxxxx
      x-default: leo_your_api_key_here

````